
Foreman - Bug #6831

When creating a new organization as an admin, the switcher doesn't list it

07/30/2014 05:09 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 957151 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1675

  

Description

Create new organization via UI

Once you're done, click the Org dropdown widget   * The new org is not displayed/listed

Related issues:

Related to Foreman - Bug #6065: Inverting the admin flag has no effect on men... Closed 06/04/2014

Associated revisions

Revision 8fabe661 - 08/18/2014 09:42 AM - Tomer Brisker

Fixes #6831 - expire topbar cache for admin on taxonomy updates

Revision 5aa76f93 - 08/27/2014 08:02 AM - Tomer Brisker

Fixes #6831 - expire topbar cache for admin on taxonomy updates

(cherry picked from commit 8fabe6618b36ca3d232e8241749405ed8217c656)

History

#1 - 07/30/2014 05:09 AM - Dominic Cleal

Admin users should have top bar cache cleared on org/location creation.  At the moment, via #6065, only users directly associated to a taxonomy

have caches swept - this should also include User.only_admin.

#2 - 07/30/2014 05:10 AM - Dominic Cleal

- Related to Bug #6065: Inverting the admin flag has no effect on menu cache added

#3 - 07/30/2014 05:10 AM - Dominic Cleal

- Bugzilla link set to 957151

#4 - 07/30/2014 06:18 AM - Dominic Cleal

https://github.com/theforeman/foreman/blob/develop/app/models/taxonomy.rb#L127 is the issue, it should be (users + User.only_admin).uniq or

something

#5 - 08/07/2014 09:05 AM - Dominic Cleal

- Target version set to 1.7.5

#6 - 08/11/2014 03:28 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#7 - 08/11/2014 06:45 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/1675 added

- Pull request deleted ()

#8 - 08/13/2014 07:21 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#9 - 08/18/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8fabe6618b36ca3d232e8241749405ed8217c656.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8fabe6618b36ca3d232e8241749405ed8217c656
http://www.tcpdf.org

